net.sf.jasperreports.export

## Interface JxlReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration, XlsReportConfiguration
  All Known Subinterfaces:
    JxlMetadataReportConfiguration
  All Known Implementing Classes:
    SimpleJxlMetadataReportConfiguration, SimpleJxlReportConfiguration

  Deprecated.
  To be removed.

      public interface JxlReportConfiguration
      extends XlsReportConfiguration

  Interface containing settings used by the JExcelApi exporters.
  Version:
    $Id: JxlExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JExcelApiExporter`, `JExcelApiMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COMPLEX_FORMAT` Deprecated. Boolean property providing a default for the `isComplexFormat()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_COLLAPSE_ROW_SPAN, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_DETECT_CELL_TYPE, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FONT_SIZE_FIX_ENABLED, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_ROW, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_CELL_BACKGROUND, PROPERTY_IGNORE_CELL_BORDER, PROPERTY_IGNORE_GRAPHICS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_IMAGE_BORDER_FIX_ENABLED, PROPERTY_MAXIMUM_ROWS_PER_SHEET, PROPERTY_ONE_PAGE_PER_SHEET, PROPERTY_PAGE_SCALE, PROPERTY_PASSWORD, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAMES_PREFIX, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_TEXT`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isComplexFormat()` Deprecated. Flag specifying whether the cell format pattern is user-defined.

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `getColumnWidthRatio, getFirstPageNumber, getFitHeight, getFitWidth, getFormatPatternsMap, getImageAnchorType, getMaxRowsPerSheet, getPageScale, getPassword, getSheetDirection, getSheetFooterCenter, getSheetFooterLeft, getSheetFooterRight, getSheetHeaderCenter, getSheetHeaderLeft, getSheetHeaderRight, getSheetNames, isCellHidden, isCellLocked, isCollapseRowSpan, isDetectCellType, isFontSizeFixEnabled, isIgnoreAnchors, isIgnoreCellBackground, isIgnoreCellBorder, isIgnoreGraphics, isIgnoreHyperlink, isIgnorePageMargins, isImageBorderFixEnabled, isOnePagePerSheet, isRemoveEmptySpaceBetweenColumns, isRemoveEmptySpaceBetweenRows, isShowGridLines, isUseTimeZone, isWhitePageBackground, isWrapText`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_COMPLEX_FORMAT

          static final java.lang.String PROPERTY_COMPLEX_FORMAT

      Deprecated.
      Boolean property providing a default for the `isComplexFormat()` export configuration flag.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isComplexFormat

          java.lang.Boolean isComplexFormat()

      Deprecated.
      Flag specifying whether the cell format pattern is user-defined. When set to true, the exporter will assume that the specified pattern is well defined. If the pattern is invalid, it won't be taken into account by the Excel file viewer.
      See Also:
        `PROPERTY_COMPLEX_FORMAT`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com